ParameterTranslationsImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast
Class ParameterTranslationsImpl

    java.lang.Object
      org.hibernate.hql.internal.ast.ParameterTranslationsImpl

All Implemented Interfaces:
  ParameterTranslations

    public class ParameterTranslationsImpl

extends Object
implements ParameterTranslations

Defines the information available for parameters encountered during query translation through the antlr-based parser.

Nested Class Summary
`static class` | `ParameterTranslationsImpl.ParameterInfo`

Constructor Summary
`ParameterTranslationsImpl(List parameterSpecifications)` Constructs a parameter metadata object given a list of parameter specifications.

Method Summary
`Type` | `getNamedParameterExpectedType(String name)`
`ParameterTranslationsImpl.ParameterInfo` | `getNamedParameterInfo(String name)`
`Set` | `getNamedParameterNames()`
`int[]` | `getNamedParameterSqlLocations(String name)`
`int` | `getOrdinalParameterCount()`
`Type` | `getOrdinalParameterExpectedType(int ordinalPosition)`
`ParameterTranslationsImpl.ParameterInfo` | `getOrdinalParameterInfo(int ordinalPosition)`
`int` | `getOrdinalParameterSqlLocation(int ordinalPosition)`
`boolean` | `supportsOrdinalParameterMetadata()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterTranslationsImpl

    public ParameterTranslationsImpl(List parameterSpecifications)

  Constructs a parameter metadata object given a list of parameter specifications. Note: the order in the incoming list denotes the parameter's psudeo-position within the resulting sql statement.

  Parameters:
    `parameterSpecifications` -

Method Detail

### supportsOrdinalParameterMetadata

    public boolean supportsOrdinalParameterMetadata()

  Specified by:
    `supportsOrdinalParameterMetadata` in interface `ParameterTranslations`

### getOrdinalParameterCount

    public int getOrdinalParameterCount()

  Specified by:
    `getOrdinalParameterCount` in interface `ParameterTranslations`

### getOrdinalParameterInfo

    public ParameterTranslationsImpl.ParameterInfo getOrdinalParameterInfo(int ordinalPosition)

### getOrdinalParameterSqlLocation

    public int getOrdinalParameterSqlLocation(int ordinalPosition)

  Specified by:
    `getOrdinalParameterSqlLocation` in interface `ParameterTranslations`

### getOrdinalParameterExpectedType

    public Type getOrdinalParameterExpectedType(int ordinalPosition)

  Specified by:
    `getOrdinalParameterExpectedType` in interface `ParameterTranslations`

### getNamedParameterNames

    public Set getNamedParameterNames()

  Specified by:
    `getNamedParameterNames` in interface `ParameterTranslations`

### getNamedParameterInfo

    public ParameterTranslationsImpl.ParameterInfo getNamedParameterInfo(String name)

### getNamedParameterSqlLocations

    public int[] getNamedParameterSqlLocations(String name)

  Specified by:
    `getNamedParameterSqlLocations` in interface `ParameterTranslations`

### getNamedParameterExpectedType

    public Type getNamedParameterExpectedType(String name)

  Specified by:
    `getNamedParameterExpectedType` in interface `ParameterTranslations`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.